Doc formatting - use graduated checker

Bug #1524228 reported by Vincent Françoise on 2015-12-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
watcher
Wishlist
Vincent Françoise

Bug Description

Although unit tests got merged to add a doc checker (see https://review.openstack.org/253598), we discovered that https://github.com/openstack/doc8 which should be preferred to home made tests as we don't want to maintain this.

So we should remove the old unittest and run this doc checker just like in magnum (see https://github.com/openstack/magnum/blob/master/tox.ini)

Changed in watcher:
assignee: nobody → Steve Wilkerson (sw5822)
Changed in watcher:
importance: Undecided → Low
description: updated
Changed in watcher:
status: New → In Progress
Changed in watcher:
importance: Low → Wishlist

Any update on this?

Good morning Vincent,

Sorry for the late reply -- the holidays were busier than expected. I'm fairly certain I have this mostly finished -- I expect to push the change today

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Vincent Françoise
Sent: Tuesday, December 29, 2015 10:39 AM
To: WILKERSON, STEVEN <email address hidden>
Subject: [Bug 1524228] Re: Doc formatting - use graduated checker

Any update on this?

--
You received this bug notification because you are a bug assignee.
https://bugs.launchpad.net/bugs/1524228

Title:
  Doc formatting - use graduated checker

Status in watcher:
  In Progress

Bug description:
  Although unit tests got merged to add a doc checker (see
  https://review.openstack.org/253598), we discovered that
  https://github.com/openstack/doc8 which should be preferred to home
  made tests as we don't want to maintain this.

  So we should remove the old unittest and run this doc checker just
  like in magnum (see
  https://github.com/openstack/magnum/blob/master/tox.ini)

To manage notifications about this bug go to:
https://bugs.launchpad.net/watcher/+bug/1524228/+subscriptions

Hi Steve,

No worries, I was just wondering if you were still on it since I didn't see any patchset although it was marked as in progress for like a week or so. Do not hesitate to push unfinished code (with workflow set to -1) so we can it's on its way ;)

Changed in watcher:
milestone: none → mitaka-2

Hi Steve,

As we are currently tidying up the doc (see https://review.openstack.org/#/c/268006/), I would like to know to know if you are anywhere near completing this bug because we would need it to guarantee the doc formatting will stay error-free from now onwards. SO if you are not, is it OK for me to re-assign this bug to someone else?

Steve Wilkerson (srwilker) wrote :

Good morning Vincent,

Yes, please go ahead and reassign this bug. Due to some recent personal issues, I've been away from my responsibilities.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Vincent Françoise
Sent: Monday, January 18, 2016 3:39 AM
To: WILKERSON, STEVEN <email address hidden>
Subject: [Bug 1524228] Re: Doc formatting - use graduated checker

Hi Steve,

As we are currently tidying up the doc (see
https://review.openstack.org/#/c/268006/), I would like to know to know
if you are anywhere near completing this bug because we would need it to
guarantee the doc formatting will stay error-free from now onwards. SO
if you are not, is it OK for me to re-assign this bug to someone else?

--
You received this bug notification because you are a bug assignee.
https://bugs.launchpad.net/bugs/1524228

Title:
  Doc formatting - use graduated checker

Status in watcher:
  In Progress

Bug description:
  Although unit tests got merged to add a doc checker (see
  https://review.openstack.org/253598), we discovered that
  https://github.com/openstack/doc8 which should be preferred to home
  made tests as we don't want to maintain this.

  So we should remove the old unittest and run this doc checker just
  like in magnum (see
  https://github.com/openstack/magnum/blob/master/tox.ini)

To manage notifications about this bug go to:
https://bugs.launchpad.net/watcher/+bug/1524228/+subscriptions

Changed in watcher:
assignee: Steve Wilkerson (sw5822) → nobody
Changed in watcher:
assignee: nobody → Vincent Françoise (vincent-francoise)

Reviewed: https://review.openstack.org/271305
Committed: https://git.openstack.org/cgit/openstack/watcher/commit/?id=4305935312004c1577c64c84f0a88b006a2a0b63
Submitter: Jenkins
Branch: master

commit 4305935312004c1577c64c84f0a88b006a2a0b63
Author: Vincent Françoise <email address hidden>
Date: Fri Jan 22 14:55:21 2016 +0100

    Added doc8

    For a better doc QoS, we now use doc8 as part of the testing
    procedure while removing the existing tests we had on doc formatting.

    I also updated tox.ini to run doc8 as within 'pep8' and 'docs' venvs.

    Change-Id: Ia0ad99541509f4c026e26d28c41ff0210b12a504
    Closes-Bug: #1524228

Changed in watcher:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers